<?session_start();

//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
		
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 


////////////////////REGISTRO DE liquidaciones Procesados
if ($_POST['treporte']==1) {
 $query='';
 if ($_POST['nomina']!='') $query .= " and personal.nomina = '".substr($_POST['per1'],13,3)."' ";
 		//$consulta = "select * from personal where id='".$_SESSION['id_validar']."' and status<>'I' $query order by codigo";
		$consulta = "SELECT cedula, CONCAT(liquidaciones.nombres,' ',liquidaciones.nombres1,' ',liquidaciones.apellidos,' ',liquidaciones.apellidos1),liquidaciones.fechai,egreso, fecha_pago, tipoe, sueldo_liq, dias, valor_dias_pagar, diast, valor_ct_total, vacacion,	valor_vaca_venc, valor_bonovac_venc, dias_vac_fraccion, valor_dias_vac_fraccion, valor_bonovac_fraccion, dias_util_pagar, valor_utilid_pagar, ccon01, ncon01, SUM(valor_dias_pagar+valor_ct_total+valor_vaca_venc+valor_bonovac_venc+valor_dias_vac_fraccion+valor_bonovac_fraccion+valor_utilid_pagar+ncon01),'--', dpnl, valor_dpnlabor, adeuti, adevac, 'prestamos', fideicomiso, ccon02, ncon02, valor_sso, valor_rpe, faov, inces, valor_islr

		FROM liquidaciones,personal
		WHERE liquidaciones.cedula=personal.codigo and liquidaciones.id=personal.id and liquidaciones.id=".$_SESSION['id_validar']." AND egreso>='".substr($_POST['per1'],19,10)."' and egreso<='".substr($_POST['per2'],33,10)."' group by cedula,egreso order by egreso";
		
		$resultado = mysql_query($consulta) or die('verificaci&oacute; del c&oacute;digo fall&oacute;: ' . mysql_error());

		$cont=0;
		$data=array();
		$cabecera=array("Cedula","Nombre y Apellidos Trabajador","Fech_Ing","Fech_Retiro","Fech_pago","Motivo_retiro","Salario","Dias_Salario","Pago_Dias","Dias CT","Pago_CT","Vac_Venc","Pago_Vac_Venc","Pago_BonoVac_Venc","Vac_fracc","Pago_Vac_frac","Pago_BonVac_frac","Dias_Utilid","Pago_Utilid","Otras_Asig","Pago_Otras_Asig","Total_Asig","Deducciones","Dias_No_Labor","Desc_Dias_No_Lab","Desc_Util_Pagadas","Desc_Vac_Pagadas","Desc_Prestamo","Fideicomiso_pagado","Otras_Deduc","Desc_Otras_Deduc","SSO","RPE","RPVH","INCES","ISLR");
		$cabecera=implode(";",$cabecera);
		while ($row=mysql_fetch_row($resultado)) {
		     $cont++;
			 $data[]=implode(";",$row);
		}
		$data=implode("\n",$data);
$arch="Liquidaciones_Procesadas.csv";		
header("Content-type: text/csv");
header("Content-Disposition: attachment; filename=".$arch);
header("Pragma: no-cache");
header("Expires: 0");
echo "Empresa: ".$_SESSION['empresa_validar']."\n";
echo " \n";
echo "Reporte de Liquidaciones Por Retiro Procesadas \n";
echo "\n";
//echo substr($_POST['per1'],19,10)."\n";
echo $cabecera."\n";
echo utf8_decode($data);		
		
 exit();
}


?>
<html>
	<head><link rel='stylesheet' type='text/css' href='styles.css' />
	</head>
	<body>	
		<?
		menu();
		?>
		<br><table border=0 cellpadding=0 cellspacing=0 width='100%'>
			<tr>
				<td  width='100%' align='left'><font size=2 color='black' face='verdana'>Empresa: <b><?echo $_SESSION['empresa_validar'];?></b>  - Per&iacute;odo: <b><font color=red><?echo $per;?></font></b>  -  Usuario: <b><?echo $_SESSION['nombre_validar'];?></b></font></td> 
			</tr>
		</table><hr>	
<?	echo "<tr align='center'>";	
	echo "<h1><font face='Verdana, Arial, Helvetica, sans-serif' size=4>Generar Reporte de Liquidaciones Procesadas</font></h1>";
	echo "</tr>";
	echo "<font face='verdana' size=2>";
	echo "
	<br><br><form name='entrada' action='".$_SERVER['PHP_SELF']."' target='blank' method='POST' enctype='multipart/form-data'>
	<table align='center'>";
			if ($per!='') {
					echo "<tr><td align='righta'>Per&iacute;odo Actual:</td>
						  <td align='left'><font color=red>".$per."</font></td>
						  </tr>";
			}			
			echo "
				<tr><td align='righta'>Tipo de Archivo:</td>
				<td align='left'>
					<select style='width:300px;' name='treporte'>
						<option value='1'>Reporte de Liquidaciones Pagadas</option>

					</select>
				</td>
				</tr>";
			
			$consulta = mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysql_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Desde: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per1'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysql_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			$consulta = mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo DESC") or die ("select * from periodo order by nomina,periodo DESC");	
			$numr = mysql_num_rows($consulta);
			echo "<td align = ''> <font color=red>Per&iacute;odo Hasta: </font></td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'per2'>";
			for ($x=1;$x<=$numr;$x++) {
				$row1 = mysql_fetch_array($consulta); 
				if ($x!=1) {
					echo "<option>".$row1['periodo']." - Nomina:".$row1['nomina']." - ".$row1['desde']." al ".$row1['hasta'];
				}	
			}
			echo "</select>";
			echo "</td></tr>";
			
			/*
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('GERENCIA') and id='".$_SESSION['id_validar']."'  order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());	
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Gerencia: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'gerencia'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
								
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DIVISION') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());	
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Divisi&oacute;n: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'division'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			echo "</tr>";
			
			echo "<tr>";
			$consulta="Select * from tablas where tabla=ucase('DEPARTAMENTO') and id='".$_SESSION['id_validar']."' order by codigo,detalle";
			$consulta = mysql_query($consulta) or die ("no se pudo realizar la consulta...".$consulta.'='.mysql_error());	
			$resultado = mysql_num_rows($consulta);
			echo "<td align = 'righta'> Departamento: </td>";
			echo "<td align = 'left'> <select style='width:300px;' name = 'departamento'><option>";
			if ($resultado != 0) {
				for ($i=0;$i<$resultado;$i++) {
					$row1 = mysql_fetch_array($consulta);
					echo "<option width = '30%'>".$row1['codigo']." - ".$row1['detalle'];
				}
			}	
			echo "</select>";
			echo "</td>";
			*/
								
			echo "<tr><td colspan='4' align='center'>";
			echo "<input name='ver' type='submit' style='margin-left:5px; height:35px; width:200px' value='Generar Reporte'>";
			echo "</td></tr>";	
			echo "</table></form></font>";
?>
		
	</body>
</html>